# Installation

The Bindplane Client allows you to manage your Bindplane server remotely. It lets you view collectors, modify configurations, and create custom resource types.

Once installed, the `bindplane` command will be available and can be used to connect to a Bindplane Server. See the [Configuration](/configuration/bindplane.md) page for configuration instructions.

### Installing Client

{% hint style="info" %}
**NOTE**

📘 Bindplane Server on MacOS & Windows

The MacOS and Windows clients include some server configuration, however Bindplane Server is not officially supported on MacOS or Windows
{% endhint %}

{% tabs %}
{% tab title="Linux amd64" %}

```bash
mkdir -p ~/bindplane
curl -L -o ~/bindplane/bindplane.zip https://storage.googleapis.com/bindplane-op-releases/bindplane/latest/bindplane-ee-linux-amd64.zip
unzip ~/bindplane/bindplane.zip -d ~/bindplane/
sudo mv ~/bindplane/bindplane /usr/local/bin/bindplane
mkdir -p ~/.bindplane/
```

{% endtab %}

{% tab title="MacOS amd64" %}

```bash
mkdir -p ~/bindplane
curl -L -o ~/bindplane/bindplane.zip https://storage.googleapis.com/bindplane-op-releases/bindplane/latest/bindplane-ee-darwin-amd64.zip
unzip ~/bindplane/bindplane.zip -d ~/bindplane/
sudo mv ~/bindplane/bindplane /usr/local/bin/bindplane
mkdir -p ~/.bindplane/
```

{% endtab %}

{% tab title="MacOS arm64" %}

```bash
mkdir -p ~/bindplane
curl -L -o ~/bindplane/bindplane.zip https://storage.googleapis.com/bindplane-op-releases/bindplane/latest/bindplane-ee-darwin-arm64.zip
unzip ~/bindplane/bindplane.zip -d ~/bindplane/
sudo mv ~/bindplane/bindplane /usr/local/bin/bindplane
mkdir -p ~/.bindplane/
```

{% endtab %}

{% tab title="Windows amd64" %}
{% hint style="warning" %}
Open PowerShell as Administrator (Right Click -> Run As Administrator)
{% endhint %}

```powershell
$installPath = "$env:ProgramFiles\bindplane-cli"
if (-not (Test-Path -Path $installPath)) {
    New-Item -Path $installPath -ItemType Directory
    Write-Host "Folder created successfully: $installPath"
} else {
    Write-Host "Folder already exists: $installPath"
}
$currentMachinePath = [System.Environment]::GetEnvironmentVariable("Path", "Machine")
if ($currentMachinePath -notlike "*$installPath*") {
    [System.Environment]::SetEnvironmentVariable("Path", "$currentMachinePath;$installPath", "Machine")
    $env:Path = [System.Environment]::GetEnvironmentVariable("Path","Machine") + ";" + [System.Environment]::GetEnvironmentVariable("Path","User")
}
$downloadPath = Join-Path -Path "$env:USERPROFILE\Downloads" -ChildPath bindplane-ee-windows-amd64.zip
Invoke-WebRequest -Uri https://storage.googleapis.com/bindplane-op-releases/bindplane/latest/bindplane-ee-windows-amd64.zip -OutFile $downloadPath
Expand-Archive -Path $downloadPath -DestinationPath $installPath -Force
```

{% endtab %}
{% endtabs %}

#### Uninstalling Client

{% tabs %}
{% tab title="Linux" %}
Uninstall

```bash
sudo rm -rf /usr/local/bin/bindplane
```

Purge

```bash
sudo rm -rf /usr/local/bin/bindplane
rm -rf ~/.bindplane
rm -rf ~/bindplane
```

{% endtab %}

{% tab title="MacOS" %}
Uninstall

```bash
sudo rm -rf /usr/local/bin/bindplane
```

Purge

```bash
sudo rm -rf /usr/local/bin/bindplane
rm -rf ~/.bindplane
rm -rf ~/bindplane
```

{% endtab %}

{% tab title="Windows" %}
{% hint style="warning" %}
Open PowerShell as Administrator (Right Click -> Run As Administrator)
{% endhint %}

```powershell
$installPath = "$env:ProgramFiles\bindplane-cli"
Remove-Item -Path $installPath -Recurse -Force
$currentMachinePath = [System.Environment]::GetEnvironmentVariable("Path", "Machine")
$newMachinePathArray = $currentMachinePath.Split(';') | Where-Object { $_ -ne $installPath }
[System.Environment]::SetEnvironmentVariable("Path", ($newMachinePathArray -join ';'), "Machine")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/cli-and-api/cli/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
